Bug 849068 - Caught "We are sorry,but something went wrong" error when click the confirm link with another user have logined in.
Caught "We are sorry,but something went wrong" error when click the confirm l...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 04:42 EDT by Mengjiao Gao
Modified: 2015-05-14 21:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Get error page with message:"We are sorry,but something went wrong". (66.18 KB, image/png)
2012-08-17 04:43 EDT, Mengjiao Gao
no flags Details

  None (edit)
Description Mengjiao Gao 2012-08-17 04:42:54 EDT
Description of problem:
Firstly, I loged in the website with a valid account. Then I signed up a new account and click its confirm link in the same browser.After that ,I got a page with error message:"We are sorry,but something went wrong", as the attachment show.

Version-Release number of selected component (if applicable):
INT

How reproducible:
always

Steps to Reproduce:
1.Log in the website with a valid account.
2.Sigh up for a new account.
3.Click the confirm url in the same browser.
  
Actual results:
Get error page with message:"We are sorry,but something went wrong".

Expected results:
It should return a page with a more clear message indicated the account conflict.

Additional info:
Comment 1 Mengjiao Gao 2012-08-17 04:43:17 EDT
Created attachment 605124 [details]
Get error page with message:"We are sorry,but something went wrong".
Comment 2 Clayton Coleman 2012-08-17 11:23:20 EDT
When a user confirms an email and is logged in, they will now be taken to a page that indicates they are going to be switching accounts.
Comment 3 Clayton Coleman 2012-08-19 21:52:22 EDT
Delivered
Comment 4 Mengjiao Gao 2012-08-19 22:26:55 EDT
Tested this issue in INT(same package with devenv_2021), when I clicked the confirm url with another user logged in, It will be taken to a page indicating the changing of accounts. So I will put this issue to verified.

Note You need to log in before you can comment on or make changes to this bug.